---
updatedAt: 2026-06-03T14:27:53.000Z
agentTools:
  projectIndex: https://developers.intruder.io/llms.txt
---

# Deletes a target

Deletes a target

# OpenAPI definition

```json
{
  "openapi": "3.1.1",
  "info": {
    "title": "Intruder API",
    "version": "2.0.0 (v1)",
    "description": "Intruder API documentation",
    "termsOfService": "https://www.intruder.io/legal/terms",
    "contact": {
      "email": "contact@intruder.io"
    }
  },
  "paths": {
    "/v1/targets/{id}/": {
      "delete": {
        "operationId": "targets_destroy",
        "description": "Deletes a target",
        "summary": "Deletes a target",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "string",
              "pattern": "^[0-9]+$"
            },
            "required": true
          }
        ],
        "tags": [
          "Targets"
        ],
        "security": [
          {
            "Bearer": []
          }
        ],
        "responses": {
          "204": {
            "description": "No response body"
          },
          "401": {
            "content": {
              "application/json": {
                "schema": {
                  "example": {
                    "detail": "Access token is missing or invalid"
                  }
                }
              }
            },
            "description": ""
          },
          "404": {
            "content": {
              "application/json": {
                "schema": {
                  "example": {
                    "non_field_errors": [
                      "Target not found"
                    ]
                  }
                }
              }
            },
            "description": ""
          },
          "422": {
            "content": {
              "application/json": {
                "schema": {
                  "example": {
                    "non_field_errors": [
                      "currently being scanned targetId1, targetId2"
                    ]
                  }
                }
              }
            },
            "description": ""
          },
          "500": {
            "content": {
              "application/json": {
                "schema": {
                  "example": {
                    "non_field_errors": [
                      "Something went wrong while deleting target."
                    ]
                  }
                }
              }
            },
            "description": ""
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header",
        "description": "Value should be formatted: `Bearer <apiKey>`"
      }
    }
  },
  "servers": [
    {
      "url": "https://api.intruder.io"
    }
  ]
}
```